## sugar-toolkit-gtk3 0.110.0

=== debian/changelog ===
sugar-toolkit-gtk3 (0.110.0-5) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.0.
  * Update git-buildpackage config: Filter any .git* files.
  * Update watch file: Tighten version regex.
  * Modernize cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Do copyright-check in maintainer script (not during build).
      Relax to build-depend unversioned on cdbs.
      Stop build-depend on licensecheck.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Use SPDX License shortnames FSFUL FSFULLR (and derived forms).
  * Tighten lintian overrides regarding License-Reference.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Aug 2017 11:25:29 +0200

sugar-toolkit-gtk3 (0.110.0-4) unstable; urgency=medium

  * Add patch cherry-picked upstream to fix depend instead of append to
    path.
    Closes: Bug#860943. Thanks to James Cameron.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Apr 2017 14:19:42 +0200

sugar-toolkit-gtk3 (0.110.0-3) unstable; urgency=medium

  * Add patch cherry-picked upstream to fix screen resize race.
  * Add patch cherry-picked upstream to sort translation files.
    Closes: Bug#848633. Thanks to Dhole.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git subdir (not cgit).
    + Add .git suffix for Vcs-Git URL.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update watch file:
    + Bump to version 4.
    + Mention gbp --uscan in usage comment.
  * Update copyright info: Extend coverage of Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Jan 2017 04:28:26 +0100

sugar-toolkit-gtk3 (0.110.0-2) unstable; urgency=medium

  * Modernize CDBS use:
    + Let CDBS resolve if build is targeted experimental.
  * Update package relations:
    + Relax to recommend (not depend on) webkit/webkit2.
    + Favor webkit2 over webkit.
    + Recommend webkit2 (without webkit fallback) strengthen favoring.
    + Drop obsolete transitional conflicts/replaces/breaks.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Dec 2016 19:00:52 +0100

sugar-toolkit-gtk3 (0.110.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Highlights:
    + Collaboration: Handle tubes channel failure gracefully.
    + Remove support for Rainbow.
    + Allow one to run activities without Sugar shell.

  [ Jonas Smedegaard ]
  * Update licensing info:
    + Fix add disclaimer to GAP License (arguably needs to be preserved
      as part of "this notice").
    + Extend coverage of autotools files.
    + Extend coverage of Debian packaging.
  * Declare compliance with Debian Policy 3.9.8.
  * Track only stable 0.110 branch in watch file.
  * Have git-buildpackage use versioned upstream branch.
  * Have python-sugar3 suggest python-jarabe and python-carquinyol.
  * Stop recommend older telepathy-gabble: No longer needed for
    collaboration.
  * Modernize CDBS use: Build-depend on licensecheck (not devscripts).
  * Unfuzz patch 2002.
  * Add patch cherry-picked upstream to fix avoid more introspection
    versioning warnings.
  * Use dh-autoreconf.
    + Build-depend on dh-autoreconf and autoconf-archive.
    Closes: Bug#744666. Thanks to Matthias Klose.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Dec 2016 03:41:58 +0100

=== debian/control ===
Source: sugar-toolkit-gtk3
Section: python
Priority: optional
Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Santiago Ruano Rincón <santiago@debian.org>
Build-Depends: cdbs,
 autotools-dev,
 python,
 python-dev (>= 2.3.5-7),
 debhelper,
 dh-buildinfo,
 autoconf-archive,
 dh-autoreconf,
 libgtk-3-dev,
 libgdk-pixbuf2.0-dev,
 libsm-dev,
 libice-dev,
 librsvg2-dev,
 libxfixes-dev,
 libxi-dev,
 libx11-dev,
 gettext,
 intltool,
 libxml-parser-perl,
 x11proto-core-dev,
 libasound2-dev | libasound-dev,
 libgirepository1.0-dev,
 linux-libc-dev [linux-any],
 hurd-dev [hurd-any],
 d-shlibs (>= 0.59~)
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/pkg-sugar/sugar-toolkit-gtk3.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-sugar/sugar-toolkit-gtk3.git
Homepage: http://wiki.sugarlabs.org/go/Sugar

Package: libsugarext0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: libsugarext-data (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: Sugar Learning Platform - toolkit runtime library
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package contains the runtime library.

Package: libsugarext-data
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Sugar Learning Platform - toolkit common files
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This contains the common files (translations) used by the runtime
 library.

Package: libsugarext-dev
Section: libdevel
Architecture: any
Depends: ${cdbs:Depends},
 ${devlibs:Depends},
 ${misc:Depends},
 libsugarext0 (= ${binary:Version})
Description: Sugar Learning Platform - toolkit development files
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package contains the files needed for development.

Package: libsugarext-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 libsugarext0 (= ${binary:Version}),
Description: Sugar Learning Platform - toolkit debugging symbols
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package contains detached debugging symbols.

Package: python-sugar3
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${python:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${cdbs:Provides},
 ${python:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: Sugar Learning Platform - toolkit Python bindings
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package contains Python bindings.

Package: gir1.2-sugarext-1.0
Section: introspection
Architecture: any
Depends: ${cdbs:Depends},
 ${gir:Depends},
 ${misc:Depends}
Breaks: ${cdbs:Breaks}
Description: Sugar Learning Platform - toolkit GObject introspection
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 The sugar3 library contains a set of widgets to build HIG compliant
 applications and interfaces to interact with system services like
 presence and the datastore.
 .
 This package can be used by other packages using the GIRepository
 format to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2012, 2015-2017 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for sugar-toolkit-gtk3
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

DEB_BUILDDIR = build
include /usr/share/cdbs/1/class/python-autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

CDBS_BUILD_DEPENDS +=, autoconf-archive
include /usr/share/cdbs/1/rules/autoreconf.mk

# TODO: convince upstream to install headers, and provide proper -dev package
stem = sugarext
pkgbranch = $(basename $(DEB_UPSTREAM_VERSION))
abi = 0
lib = lib$(stem)
pkg-lib = lib$(stem)$(abi)
pkg-dev = lib$(stem)-dev
pkg-gir = gir1.2-$(stem)-1.0
pkg-data = lib$(stem)-data
#pkg-bin = sugar-activity
pkg-bin = python-sugar3
pkg-python = python-sugar3

# Adapt packaging in maintainer mode when targeting experimental branch:
#  * Switch git packaging branch
#  * Track any release (else only current branch)
ifneq (,$(DEB_MAINTAINER_MODE))
watch-limit = $(if $(DEB_SUITE_EXP),,$(pkgbranch)\\.)
debian-branch = $(if $(DEB_SUITE_EXP),master,master-$(pkgbranch))
clean::
	perl -i -pe 's/\([\d.\\]*\.\*\)/($(watch-limit).*)/' \
		debian/watch
	perl -i -pe 's/^debian-branch *= *\K.*/$(debian-branch)/' \
		debian/gbp.conf
endif

# Needed by upstream build process
#  * linux-libc-dev/hurd-dev needed by sugar-fatattr
dev-bdeps = gtk-3 gdk-pixbuf2.0 sm ice rsvg2 xfixes xi x11
bdeps = $(patsubst %,$(comma) lib%-dev,$(dev-bdeps))
bdeps +=, gettext, intltool, libxml-parser-perl, x11proto-core-dev
bdeps +=, libasound2-dev | libasound-dev, libgirepository1.0-dev
bdeps +=, linux-libc-dev [linux-any], hurd-dev [hurd-any]

# Needed (always/often/seldom) at runtime
#  * Carquinol used in sugar3.datastore.*
#  * Jarabe used in sugar3.graphics.popwindow
#  * alsa-utils (mayby still) needed to unmute devices at boot (bug#581504)
#  * shared-mime-info (update-mime-database) used in sugar.bundle.bundlebuilder
#  * unzip used in sugar3.bundle.bundle
#  * git used in sugar3.activity.bundlebuilder
# TODO: relax dependencies for our own GIR when its API is stable
gir-deps = glib-2.0 gtk-3.0 gconf-2.0 gdkpixbuf-2.0 pango-1.0 rsvg-2.0
gir-deps += gconf-2.0 atspi-2.0
python-deps = gi gi-cairo dbus cairo telepathy dateutil decorator
depends = $(patsubst %,$(comma) python-%,$(python-deps))
depends +=, $(patsubst %,$(comma) gir1.2-%,$(gir-deps))
depends +=, gir1.2-sugarext-1.0 (>= $(DEB_VERSION))
depends +=, gir1.2-sugarext-1.0 (<< $(DEB_VERSION).1~)
depends-dev = $(pkg-gir) (= $(DEB_VERSION))
depends-gir = $(pkg-lib) (= $(DEB_VERSION))
recommends = unzip, telepathy-mission-control-5, alsa-utils
recommends +=, telepathy-salut, shared-mime-info
recommends +=, gir1.2-webkit2-4.0
recommends +=, gir1.2-webkit2-4.0 | gir1.2-webkit-3.0
suggests = git, ipython
suggests +=, python-jarabe, python-carquinyol

CDBS_BUILD_DEPENDS +=, $(bdeps)
CDBS_DEPENDS_$(pkg-python) +=, $(depends)
CDBS_DEPENDS_$(pkg-dev) = $(depends-dev)
CDBS_DEPENDS_$(pkg-gir) = $(depends-gir)
CDBS_RECOMMENDS_$(pkg-python) = $(recommends)
CDBS_SUGGESTS_$(pkg-python) = $(suggests)

# Multiarch quirks
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

# optimize linking
LDFLAGS += -Wl,-O1
# TODO: disallow undefined symbols
#LDFLAGS += -Wl,-z,defs
# link only when needed
LDFLAGS += -Wl,--as-needed

DEB_DH_INSTALL_ARGS_ALL = --autodest
DEB_DH_INSTALL_ARGS_$(pkg-python) = usr/bin usr/lib/python*
DEB_DH_INSTALL_ARGS_$(pkg-gir) = usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0
DEB_DH_INSTALL_ARGS_$(pkg-data) = usr/share/locale

# Drop created dir if empty to please lintian
binary-post-install/$(pkg-data)::
	rmdir --ignore-fail-on-non-empty --parents $(DEB_DESTDIR)/usr/share/locale

# Let d-shlibs calculate development package dependencies
#  and handle shared library install
CDBS_BUILD_DEPENDS += , d-shlibs (>= 0.59~)
binary-post-install/$(pkg-lib):: debian/stamp-local-shlibs-$(lib)
debian/stamp-local-shlibs-$(lib): binary-install/$(pkg-lib)
	d-shlibmove --commit \
		--multiarch \
		--exclude-la --exclude-a \
		--devunversioned --ignorelibdep \
		--movedev debian/tmp/usr/share/gir-1.0 usr/share/ \
		--extralib debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libsugar-eventcontroller.so \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib).so
	touch $@
clean::
	rm -f debian/stamp-local-shlibs-$(lib)

# Ensure proper hash-bang in Python script (Python Policy 0.9 §3.1)
#  * TODO: drop cdbs_python_binary fallback when cdbs 0.5 is stable
binary-fixup/$(pkg-python)::
	egrep -r -l -Z '^#! ?/usr/bin/(env )?python[[:print:]]*$$' \
		debian/$(cdbs_curpkg)/usr/bin/* \
		| xargs -r -0 perl -pi -e 's,^#! ?/usr/bin/(env )?python[[:print:]]*$$,#!/usr/bin/$(strip $(or $(cdbs_curpythonruntime),$(cdbs_python_binary))),'

# Fix favor ISO 639-1 when differing from ISO 639-2
binary-post-install/$(pkg-data)::
	mv debian/$(cdbs_curpkg)/usr/share/locale/aym \
		debian/$(cdbs_curpkg)/usr/share/locale/ay

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
http://download.sugarlabs.org/sources/sucrose/glucose/sugar-toolkit-gtk3/sugar-toolkit-gtk3-(0.110\.[\d.]*)\.tar\.(?:bz2|xz)

## sugar-toolkit-gtk3 0.112

=== debian/changelog ===
sugar-toolkit-gtk3 (0.112-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  * Update watch file: Use patterns.
  * Update git-buildpackage config: Stop set debian-branch.
  * Declare compliance with Debian Policy 4.1.1.
  * Drop patches cherry-picked upstream and since applied.
  * Add patch 1001 to handle voices from eSpeak NG.
  * Update package relations:
    + Fix have python-gtk3 recommend gstreamer1.0-espeak
      gstreamer1.0-plugins-good.
  * Unfuzz patches.
  * Handle upstream releases without micro version.
  * Fix rename locale ibo→ig (and not aym→ay no longer shipped
    upstream): ISO 639-1 favored over ISO 639-2.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Nov 2017 03:09:10 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  linux-libc-dev [linux-any],
  hurd-dev [hurd-any],
  d-shlibs (>= 0.59~)
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-sugar/sugar-toolkit-gtk3.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-sugar/sugar-toolkit-gtk3.git
 Homepage: http://wiki.sugarlabs.org/go/Sugar

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 # TODO: convince upstream to install headers, and provide proper -dev package
 stem = sugarext
-pkgbranch = $(basename $(DEB_UPSTREAM_VERSION))
+pkgbranch = $(subst $(space),.,$(wordlist 1, 2,$(subst .,$(space),$(DEB_UPSTREAM_VERSION))))
 abi = 0
 lib = lib$(stem)
 pkg-lib = lib$(stem)$(abi)
@@ -64,6 +64,8 @@
 #  * shared-mime-info (update-mime-database) used in sugar.bundle.bundlebuilder
 #  * unzip used in sugar3.bundle.bundle
 #  * git used in sugar3.activity.bundlebuilder
+#  * gstreamer1.0-espeak used in sugar3.speech
+#  * gstreamer1.0-plugins-good (autoaudiosink) used in sugar3.speech
 # TODO: relax dependencies for our own GIR when its API is stable
 gir-deps = glib-2.0 gtk-3.0 gconf-2.0 gdkpixbuf-2.0 pango-1.0 rsvg-2.0
 gir-deps += gconf-2.0 atspi-2.0
@@ -78,6 +80,7 @@
 recommends +=, telepathy-salut, shared-mime-info
 recommends +=, gir1.2-webkit2-4.0
 recommends +=, gir1.2-webkit2-4.0 | gir1.2-webkit-3.0
+recommends +=, gstreamer1.0-espeak, gstreamer1.0-plugins-good
 suggests = git, ipython
 suggests +=, python-jarabe, python-carquinyol
 
@@ -132,5 +135,5 @@
 
 # Fix favor ISO 639-1 when differing from ISO 639-2
 binary-post-install/$(pkg-data)::
-	mv debian/$(cdbs_curpkg)/usr/share/locale/aym \
-		debian/$(cdbs_curpkg)/usr/share/locale/ay
+	mv debian/$(cdbs_curpkg)/usr/share/locale/ibo \
+		debian/$(cdbs_curpkg)/usr/share/locale/ig

## sugar-toolkit-gtk3 0.112-1+8.0trisquel1

=== debian/changelog ===
sugar-toolkit-gtk3 (0.112-1+8.0trisquel1) flidas; urgency=medium

  * Backported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 04 Apr 2018 05:02:07 +0000

## sugar-toolkit-gtk3 0.116

=== debian/changelog ===
sugar-toolkit-gtk3 (0.116-5) unstable; urgency=medium

  * declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Mar 2020 12:28:56 +0100

sugar-toolkit-gtk3 (0.116-5~exp) experimental; urgency=medium

  * Provide binary package libsugarext-dbgsym,
    gracefully migrating from now dropped libsugarext-dbg.
  * Build with python3 (in addition to python2, for now).
    Build-depend on python3.
    Provide binary package python3-sugar3,
    depending on python3-cairo python3-dateutil python3-dbus
    python3-decorator python3-gi python3-gi-cairo python3-six.
    Closes: Bug#931666, #938595.
    Thanks to Aniket Mathur and Matthias Klose.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Sep 2019 15:00:45 +0200

sugar-toolkit-gtk3 (0.116-4) unstable; urgency=medium

  * Fix build-depend on dh-python (not python-dev).
  * Really fix FTBFS when building only arch-indep package.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Sep 2019 13:19:23 +0200

sugar-toolkit-gtk3 (0.116-3) unstable; urgency=medium

  * Update git-buildpackage config: Use dep14 git branch debian/master.
  * Fix FTBFS when building only arch-indep package.
  * Avoid installing virtually empty translations.
  * Add patch 1002
    to fix replace broken locale ig with newer but ISO 639-2 named ibo.
    Fix and update related build rules.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Sep 2019 11:50:51 +0200

sugar-toolkit-gtk3 (0.116-2) unstable; urgency=medium

  * Simplify rules.
    Stop build-depend on cdbs.
  * Use debhelper compatibility level 10.
    Stop build-depend explicitly on dh-autoreconf autotools-dev.
    Stop needlesly build-depending on autoconf-archive.
  * Add lintian override regarding debhelper 10.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Sep 2019 20:38:19 +0200

sugar-toolkit-gtk3 (0.116-1) unstable; urgency=medium

  * Update copyright info:
    + Extend coverage of autotools files.
    + Drop bogus License-Grant.
    + Extend coverage of packaging.
  * Add patch from upstream since applied.
  * Unfuzz patches.
  * Update package relations:
    + Have python package depend on gir1.2-telepathyglib-0.12 python-six
      (not python-telepathy python-jarabe).
    + Tighten build-dependency on d-shlibs.
    + Fix have gir1.2-sugarext-1.0 provide gir1.2-sugargestures-1.0.
    + Stop build-depend on dh-buildinfo.
  * Declare compliance with Debian Policy 4.4.0.
  * Set Rules-Requires-Root: no.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Sep 2019 16:14:59 +0200

sugar-toolkit-gtk3 (0.112-2) unstable; urgency=medium

  * Add 0001-sugar3.speech-remove-GConf-compatibility-support.patch
  * Drop unused gir1.2-gconf-2.0 dependency.
  * Update VCS URLs to match the repository in salsa.
  * debian/rules: override s/libfribidi0-dev/libfribidi-dev/ in
    d-shlibmove to address #895235
  * libsugarext-dbg: move Priority: extra to Priority: optional to follow
    Policy.
  * Declare compliance with Debian Policy 4.1.4.

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 14 May 2018 14:14:11 +0200

=== debian/control ===
Source: sugar-toolkit-gtk3
Section: python
Priority: optional
Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Santiago Ruano Rincón <santiago@debian.org>,
Build-Depends:
# d-shlibs 0.82+nmu1 needed for libfribidi quirks (see bug#895235)
 d-shlibs (>= 0.82+nmu1~),
 debhelper,
 dh-python,
 gettext,
 gobject-introspection,
# linux-libc-dev/hurd-dev needed by sugar-fatattr
 hurd-dev [hurd-any],
 intltool,
 libasound2-dev | libasound-dev,
 libgdk-pixbuf2.0-dev,
 libgirepository1.0-dev,
 libgtk-3-dev,
 libice-dev,
 librsvg2-dev,
 libsm-dev,
 libx11-dev,
 libxfixes-dev,
 libxi-dev,
 libxml-parser-perl,
# linux-libc-dev/hurd-dev needed by sugar-fatattr
 linux-libc-dev [linux-any],
 python,
 python3,
 x11proto-core-dev,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar-toolkit-gtk3.git
Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/sugar-toolkit-gtk3
Homepage: http://wiki.sugarlabs.org/go/Sugar
Rules-Requires-Root: no

Package: libsugarext0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libsugarext-data (= ${source:Version}),
Pre-Depends:
 ${misc:Pre-Depends},
Description: Sugar Learning Platform - toolkit runtime library
 Sugar Learning Platform promotes collaborative learning
 through Sugar Activities that encourage critical thinking,
 the heart of a quality education.
 Designed from the ground up especially for children,
 Sugar offers an alternative to traditional "office-desktop" software.
 .
 The sugar3 library contains a set of widgets
 to build HIG compliant applications and interfaces
 to interact with system services like presence and the datastore.
 .
 This package contains the runtime library.

Package: libsugarext-data
Section: misc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Sugar Learning Platform - toolkit common files
 Sugar Learning Platform promotes collaborative learning
 through Sugar Activities that encourage critical thinking,
 the heart of a quality education.
 Designed from the ground up especially for children,
 Sugar offers an alternative to traditional "office-desktop" software.
 .
 The sugar3 library contains a set of widgets
 to build HIG compliant applications and interfaces
 to interact with system services like presence and the datastore.
 .
 This contains the common files (translations)
 used by the runtime library.

Package: libsugarext-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-sugarext-1.0 (= ${binary:Version}),
 libsugarext0 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends},
Description: Sugar Learning Platform - toolkit development files
 Sugar Learning Platform promotes collaborative learning
 through Sugar Activities that encourage critical thinking,
 the heart of a quality education.
 Designed from the ground up especially for children,
 Sugar offers an alternative to traditional "office-desktop" software.
 .
 The sugar3 library contains a set of widgets
 to build HIG compliant applications and interfaces
 to interact with system services like presence and the datastore.
 .
 This package contains the files needed for development.

Package: python-sugar3
Architecture: all
Depends:
 gir1.2-atspi-2.0,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 gir1.2-rsvg-2.0,
# TODO: relax dependencies for our own GIR when its API is stable
 gir1.2-sugarext-1.0 (<< ${source:Version}.1~),
 gir1.2-sugarext-1.0 (>= ${source:Version}),
 gir1.2-telepathyglib-0.12,
 python-cairo,
 python-dateutil,
 python-dbus,
 python-decorator,
 python-gi,
 python-gi-cairo,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Recommends:
# alsa-utils (mayby still) needed to unmute devices at boot (bug#581504)
 alsa-utils,
 gir1.2-webkit2-4.0,
 gir1.2-webkit2-4.0 | gir1.2-webkit-3.0,
# gstreamer1.0-espeak used in sugar3.speech
 gstreamer1.0-espeak,
# gstreamer1.0-plugins-good (autoaudiosink) used in sugar3.speech
 gstreamer1.0-plugins-good,
# shared-mime-info (update-mime-database) used in sugar.bundle.bundlebuilder
 shared-mime-info,
 telepathy-mission-control-5,
 telepathy-salut,
# unzip used in sugar3.bundle.bundle
 unzip,
Suggests:
# git used in sugar3.activity.bundlebuilder
 git,
 ipython,
# Carquinol used in sugar3.datastore.*
 python-carquinyol,
Provides:
 ${python:Provides},
Description: Sugar Learning Platform - toolkit Python bindings
 Sugar Learning Platform promotes collaborative learning
 through Sugar Activities that encourage critical thinking,
 the heart of a quality education.
 Designed from the ground up especially for children,
 Sugar offers an alternative to traditional "office-desktop" software.
 .
 The sugar3 library contains a set of widgets
 to build HIG compliant applications and interfaces
 to interact with system services like presence and the datastore.
 .
 This package contains Python bindings.

Package: python3-sugar3
Architecture: all
Depends:
 gir1.2-atspi-2.0,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 gir1.2-rsvg-2.0,
# TODO: relax dependencies for our own GIR when its API is stable
 gir1.2-sugarext-1.0 (<< ${source:Version}.1~),
 gir1.2-sugarext-1.0 (>= ${source:Version}),
 gir1.2-telepathyglib-0.12,
 python3-cairo,
 python3-dateutil,
 python3-dbus,
 python3-decorator,
 python3-gi,
 python3-gi-cairo,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
# alsa-utils (mayby still) needed to unmute devices at boot (bug#581504)
 alsa-utils,
 gir1.2-webkit2-4.0,
 gir1.2-webkit2-4.0 | gir1.2-webkit-3.0,
# gstreamer1.0-espeak used in sugar3.speech
 gstreamer1.0-espeak,
# gstreamer1.0-plugins-good (autoaudiosink) used in sugar3.speech
 gstreamer1.0-plugins-good,
# shared-mime-info (update-mime-database) used in sugar.bundle.bundlebuilder
 shared-mime-info,
 telepathy-mission-control-5,
 telepathy-salut,
# unzip used in sugar3.bundle.bundle
 unzip,
Suggests:
# git used in sugar3.activity.bundlebuilder
 git,
 ipython3,
# Carquinol used in sugar3.datastore.*
 python3-carquinyol,
Provides:
 ${python3:Provides},
Description: Sugar Learning Platform - toolkit Python3 bindings
 Sugar Learning Platform promotes collaborative learning
 through Sugar Activities that encourage critical thinking,
 the heart of a quality education.
 Designed from the ground up especially for children,
 Sugar offers an alternative to traditional "office-desktop" software.
 .
 The sugar3 library contains a set of widgets
 to build HIG compliant applications and interfaces
 to interact with system services like presence and the datastore.
 .
 This package contains Python3 bindings.

Package: gir1.2-sugarext-1.0
Section: introspection
Architecture: any
Depends:
 libsugarext0 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
Provides:
 gir1.2-sugargestures-1.0 (= ${binary:Version}),
Description: Sugar Learning Platform - toolkit GObject introspection
 Sugar Learning Platform promotes collaborative learning
 through Sugar Activities that encourage critical thinking,
 the heart of a quality education.
 Designed from the ground up especially for children,
 Sugar offers an alternative to traditional "office-desktop" software.
 .
 The sugar3 library contains a set of widgets
 to build HIG compliant applications and interfaces
 to interact with system services like presence and the datastore.
 .
 This package can be used
 by other packages using the GIRepository format
 to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

DH_OPTIONS = -O--builddir=build

# optimize linking
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

# TODO: disallow undefined symbols
#export DEB_LDFLAGS_MAINT_APPEND += -Wl,-z,defs

# link only when needed
export DEB_LDFLAGS_MAINT_APPEND += -Wl,--as-needed

override_dh_auto_configure:
	dh_auto_configure --builddir=build-python2 -- --with-python2
	dh_auto_configure -- --with-python3

override_dh_auto_make:
	dh_auto_make --builddir=build-python2
	dh_auto_make

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install --builddir=build-python2
	dh_auto_install

override_dh_install-arch:
	dh_install
# Let d-shlibs calculate development package dependencies
#  and handle shared library install
	d-shlibmove --commit \
		--multiarch \
		--exclude-la --exclude-a \
		--devunversioned --ignorelibdep \
		--movedev debian/tmp/usr/share/gir-1.0 usr/share/ \
		--extralib debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libsugar-eventcontroller.so \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libsugarext.so
# Ensure proper hash-bang in Python script (Python Policy 0.9 §3.1)
	perl -pi -e 's,^#! ?/usr/bin/(env )?python[[:print:]]*$$,#!/usr/bin/python2,' \
		debian/*/usr/bin/sugar-activity
	perl -pi -e 's,^#! ?/usr/bin/(env )?python[[:print:]]*$$,#!/usr/bin/python3,' \
		debian/*/usr/bin/sugar-activity3

override_dh_install-indep:
	dh_install --indep
# Drop virtually empty translations
# see <https://github.com/sugarlabs/sugar-toolkit-gtk3/issues/429>
	find debian/*/usr/share/locale -type f -name '*.mo' -size -440c -delete
# Drop created dir if empty to please lintian
	find debian/*/usr/share/locale -empty -type d -delete

override_dh_installdocs:
	dh_installdocs --all -- AUTHORS

override_dh_strip:
	dh_strip --dbgsym-migration='libsugarext-dbg (<< 0.116-5~)'

%:
	dh $@ --with gir,python2,python3 $(DH_OPTIONS:-O%=%)

## sugar-toolkit-gtk3 0.117

=== debian/changelog ===
sugar-toolkit-gtk3 (0.117-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 1002, adopted upstream
  * unfuzz patches
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat dh-sequence-gir dh-sequence-python3
    (not debhelper dh-python gobject-introspection python3);
    drop lintian override about unversioned debhelper
  * relax to build-depend unversioned on d-shlibs:
    needed version satisfied even in oldstable
  * rules: fix export DH_OPTIONS (not set twice)
  * stop strip virtually empty locales: done upstream now
  * stop superfluous cleanup (leftover from python2 removal)
  * watch: rewrite usage comment
  * copyright: extend coverage
  * mark packages libsugarext-dev gir1.2-sugarext-1.0 as Multi-Arch: same

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Apr 2020 12:00:22 +0200

sugar-toolkit-gtk3 (0.116-6) unstable; urgency=medium

  * Drop python2 support; Closes: #938595

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Apr 2020 12:18:22 -0400

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
  Jonas Smedegaard <dr@jones.dk>,
  Santiago Ruano Rincón <santiago@debian.org>,
 Build-Depends:
-# d-shlibs 0.82+nmu1 needed for libfribidi quirks (see bug#895235)
- d-shlibs (>= 0.82+nmu1~),
- debhelper,
- dh-python,
+ d-shlibs,
+ debhelper-compat (= 12),
+ dh-sequence-gir,
+ dh-sequence-python3,
  gettext,
- gobject-introspection,
 # linux-libc-dev/hurd-dev needed by sugar-fatattr
  hurd-dev [hurd-any],
  intltool,
@@ -28,8 +27,6 @@
  libxml-parser-perl,
 # linux-libc-dev/hurd-dev needed by sugar-fatattr
  linux-libc-dev [linux-any],
- python,
- python3,
  x11proto-core-dev,
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar-toolkit-gtk3.git
@@ -84,6 +81,7 @@
 Package: libsugarext-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  gir1.2-sugarext-1.0 (= ${binary:Version}),
  libsugarext0 (= ${binary:Version}),
@@ -101,64 +99,6 @@
  to interact with system services like presence and the datastore.
  .
  This package contains the files needed for development.
-
-Package: python-sugar3
-Architecture: all
-Depends:
- gir1.2-atspi-2.0,
- gir1.2-gdkpixbuf-2.0,
- gir1.2-glib-2.0,
- gir1.2-gtk-3.0,
- gir1.2-pango-1.0,
- gir1.2-rsvg-2.0,
-# TODO: relax dependencies for our own GIR when its API is stable
- gir1.2-sugarext-1.0 (<< ${source:Version}.1~),
- gir1.2-sugarext-1.0 (>= ${source:Version}),
- gir1.2-telepathyglib-0.12,
- python-cairo,
- python-dateutil,
- python-dbus,
- python-decorator,
- python-gi,
- python-gi-cairo,
- python-six,
- ${misc:Depends},
- ${python:Depends},
-Recommends:
-# alsa-utils (mayby still) needed to unmute devices at boot (bug#581504)
- alsa-utils,
- gir1.2-webkit2-4.0,
- gir1.2-webkit2-4.0 | gir1.2-webkit-3.0,
-# gstreamer1.0-espeak used in sugar3.speech
- gstreamer1.0-espeak,
-# gstreamer1.0-plugins-good (autoaudiosink) used in sugar3.speech
- gstreamer1.0-plugins-good,
-# shared-mime-info (update-mime-database) used in sugar.bundle.bundlebuilder
- shared-mime-info,
- telepathy-mission-control-5,
- telepathy-salut,
-# unzip used in sugar3.bundle.bundle
- unzip,
-Suggests:
-# git used in sugar3.activity.bundlebuilder
- git,
- ipython,
-# Carquinol used in sugar3.datastore.*
- python-carquinyol,
-Provides:
- ${python:Provides},
-Description: Sugar Learning Platform - toolkit Python bindings
- Sugar Learning Platform promotes collaborative learning
- through Sugar Activities that encourage critical thinking,
- the heart of a quality education.
- Designed from the ground up especially for children,
- Sugar offers an alternative to traditional "office-desktop" software.
- .
- The sugar3 library contains a set of widgets
- to build HIG compliant applications and interfaces
- to interact with system services like presence and the datastore.
- .
- This package contains Python bindings.
 
 Package: python3-sugar3
 Architecture: all
@@ -221,6 +161,7 @@
 Package: gir1.2-sugarext-1.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends:
  libsugarext0 (= ${binary:Version}),
  ${gir:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS = -O--builddir=build

# optimize linking
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

# TODO: disallow undefined symbols
#export DEB_LDFLAGS_MAINT_APPEND += -Wl,-z,defs

# link only when needed
export DEB_LDFLAGS_MAINT_APPEND += -Wl,--as-needed

override_dh_auto_test:

override_dh_install-arch:
	dh_install
# Let d-shlibs calculate development package dependencies
#  and handle shared library install
	d-shlibmove --commit \
		--multiarch \
		--exclude-la --exclude-a \
		--devunversioned --ignorelibdep \
		--movedev debian/tmp/usr/share/gir-1.0 usr/share/ \
		--extralib debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libsugar-eventcontroller.so \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libsugarext.so
# Ensure proper hash-bang in Python script (Python Policy 0.9 §3.1)
	perl -pi -e 's,^#! ?/usr/bin/(env )?python[[:print:]]*$$,#!/usr/bin/python3,' \
		debian/*/usr/bin/sugar-activity3

override_dh_installdocs:
	dh_installdocs --all -- AUTHORS

override_dh_strip:
	dh_strip --dbgsym-migration='libsugarext-dbg (<< 0.116-5~)'

%:
	dh $@

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

http://download.sugarlabs.org/sources/sucrose/glucose/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## sugar-toolkit-gtk3 0.117-1+9.0trisquel1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SugarToolkitGTK3.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SugarToolkitGTK3.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SugarToolkitGTK3"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SugarToolkitGTK3"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
sugar-toolkit-gtk3 (0.117-1+9.0trisquel1) etiona; urgency=medium

  * Backported from groovy

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 17 Oct 2020 18:00:58 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Build-Depends:
  d-shlibs,
  debhelper-compat (= 12),
- dh-sequence-gir,
  dh-sequence-python3,
  gettext,
 # linux-libc-dev/hurd-dev needed by sugar-fatattr

## sugar-toolkit-gtk3 0.118

=== debian/changelog ===
sugar-toolkit-gtk3 (0.118-3) unstable; urgency=medium

  * add patch cherry-picked upstream to implement option --destdir;
    thanks to Vagrant Cascadian and James Cameron
    (see bug#975373, #975374)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Jan 2021 00:22:43 +0100

sugar-toolkit-gtk3 (0.118-2) unstable; urgency=medium

  * fix install built binaries even for arch-independent build,
    to not upset dh_missing

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Jan 2021 22:40:22 +0100

sugar-toolkit-gtk3 (0.118-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * use debhelper compatibility level 13 (not 12)
  * break and replace obsolete python-sugar3;
    closes: bug#980757, thanks to Lisandro Damián Nicanor Pérez Meyer
  * declare compliance with Debian Policy 4.5.1
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Jan 2021 15:19:18 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  Santiago Ruano Rincón <santiago@debian.org>,
 Build-Depends:
  d-shlibs,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ dh-sequence-gir,
  dh-sequence-python3,
  gettext,
 # linux-libc-dev/hurd-dev needed by sugar-fatattr
@@ -27,7 +28,7 @@
 # linux-libc-dev/hurd-dev needed by sugar-fatattr
  linux-libc-dev [linux-any],
  x11proto-core-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar-toolkit-gtk3.git
 Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/sugar-toolkit-gtk3
 Homepage: http://wiki.sugarlabs.org/go/Sugar
@@ -144,6 +145,10 @@
  python3-carquinyol,
 Provides:
  ${python3:Provides},
+Breaks:
+ python-sugar3 (<< 0.116-6),
+Replaces:
+ python-sugar3 (<< 0.116-6),
 Description: Sugar Learning Platform - toolkit Python3 bindings
  Sugar Learning Platform promotes collaborative learning
  through Sugar Activities that encourage critical thinking,

=== debian/rules ===
#!/usr/bin/make -f

# optimize linking
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

# TODO: disallow undefined symbols
#export DEB_LDFLAGS_MAINT_APPEND += -Wl,-z,defs

# link only when needed
export DEB_LDFLAGS_MAINT_APPEND += -Wl,--as-needed

%:
	dh "$@" --builddir=build

override_dh_auto_test:

execute_after_dh_install:
# Let d-shlibs calculate development package dependencies
#  and handle shared library install
	d-shlibmove --commit \
		--multiarch \
		--exclude-la --exclude-a \
		--devunversioned --ignorelibdep \
		--movedev debian/tmp/usr/share/gir-1.0 usr/share/ \
		--extralib debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libsugar-eventcontroller.so \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libsugarext.so

override_dh_installdocs:
	dh_installdocs --all -- AUTHORS

override_dh_strip:
	dh_strip --dbgsym-migration='libsugarext-dbg (<< 0.116-5~)'

## sugar-toolkit-gtk3 0.118-3+10.0trisquel1

=== debian/changelog ===
sugar-toolkit-gtk3 (0.118-3+10.0trisquel1) nabia; urgency=medium

  * Backported from impish as dependency of sugar

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 31 Oct 2021 06:28:40 +0000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
  Santiago Ruano Rincón <santiago@debian.org>,
 Build-Depends:
  d-shlibs,
- debhelper-compat (= 13),
- dh-sequence-gir,
+ debhelper-compat (= 12),
  dh-sequence-python3,
  gettext,
 # linux-libc-dev/hurd-dev needed by sugar-fatattr

## sugar-toolkit-gtk3 0.119

=== debian/changelog ===
sugar-toolkit-gtk3 (0.119-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied
  * update copyright info:
    + sort authors by name; fix strip ancient path prefix
    + update coverage
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + sort License sections by name
  * declare compliance with Debian Policy 4.6.1
  * stop override dh_strip: dbgsym-migration is done

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 May 2022 14:25:09 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  Santiago Ruano Rincón <santiago@debian.org>,
 Build-Depends:
  d-shlibs,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ dh-sequence-gir,
  dh-sequence-python3,
  gettext,
 # linux-libc-dev/hurd-dev needed by sugar-fatattr
@@ -27,7 +28,7 @@
 # linux-libc-dev/hurd-dev needed by sugar-fatattr
  linux-libc-dev [linux-any],
  x11proto-core-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/pkg-sugar-team/sugar-toolkit-gtk3.git
 Vcs-Browser: https://salsa.debian.org/pkg-sugar-team/sugar-toolkit-gtk3
 Homepage: http://wiki.sugarlabs.org/go/Sugar
